@echo off

set uaccheck=0

:CheckUAC
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"
if '%errorlevel%' NEQ '0' ( goto UACAccess ) else ( goto DEPLOY )

:UACAccess
echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\uac_get_admin.vbs"
set params = %*:"=""
echo UAC.ShellExecute "cmd.exe", "/c %~s0 %params%", "", "runas", 1 >> "%temp%\uac_get_admin.vbs"
"%temp%\uac_get_admin.vbs"
del "%temp%\uac_get_admin.vbs"
exit /b


:DEPLOY
chcp 949
color 9F
pushd %~dp0
cls


	 
@echo กเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเ
@echo กเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเ
@echo กเกแกเกเกเกเกแกเกเกเกเกแกเกเกเกเกแกเกเกเกเกแกเกเกเกแกแกแกเกเกเกแกเกเกเกเกแกเกเกแกเกเกเกเกแกเกเกเกแกแกแกแกเกเกเ
@echo กเกแกเกเกเกเกแกเกเกเกเกแกเกเกเกเกแกแกเกเกเกแกเกเกแกเกเกเกแกเกเกแกเกเกเกเกแกเกเกแกแกเกเกเกแกเกเกแกเกเกเกเกแกเกเ
@echo กเกแกเกเกเกเกแกเกเกเกแกเกแกเกเกเกแกแกเกเกเกแกเกเกแกเกเกเกเกเกเกแกเกเกเกเกแกเกเกแกแกเกเกเกแกเกเกแกเกเกเกเกเกเกเ
@echo กเกแกเกเกเกเกแกเกเกเกแกเกแกเกเกเกแกเกแกเกเกแกเกเกแกเกเกเกเกเกเกแกเกเกเกเกแกเกเกแกเกแกเกเกแกเกเกแกเกเกเกเกเกเกเ
@echo กเกแกแกแกแกแกแกเกเกแกเกเกเกแกเกเกแกเกแกเกเกแกเกเกเกแกแกแกเกเกเกแกเกเกเกเกแกเกเกแกเกแกเกเกแกเกเกแกเกเกแกแกแกเกเ
@echo กเกแกเกเกเกเกแกเกเกแกเกเกเกแกเกเกแกเกเกแกเกแกเกเกเกเกเกเกแกเกเกแกเกเกเกเกแกเกเกแกเกเกแกเกแกเกเกแกเกเกเกเกแกเกเ
@echo กเกแกเกเกเกเกแกเกเกแกแกแกแกแกเกเกแกเกเกเกแกแกเกเกเกเกเกเกแกเกเกแกเกเกเกเกแกเกเกแกเกเกเกแกแกเกเกแกเกเกเกเกแกเกเ
@echo กเกแกเกเกเกเกแกเกแกเกเกเกเกเกแกเกแกเกเกเกแกแกเกเกแกเกเกเกแกเกเกแกเกเกเกเกแกเกเกแกเกเกเกแกแกเกเกแกเกเกเกแกแกเกเ
@echo กเกแกเกเกเกเกแกเกแกเกเกเกเกเกแกเกแกเกเกเกเกแกเกเกเกแกแกแกเกเกเกเกแกแกแกแกเกเกเกแกเกเกเกเกแกเกเกเกแกแกแกเกแกเกเ
@echo กเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเ
@echo กเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเกเ
@rem v1.0
@echo Install TFX5560U Chipset driver
set "BASE_DIR=%~dp0"
echo ROOT is %BASE_DIR%
set INSTALL_FILE=Install.bat


set NAME=GPIO1
call :Install_label

set NAME=PCI2
call :Install_label

set NAME=SMBus4
call :Install_label

set NAME=PSP5
call :Install_label

set NAME=High Definition Audio Bus7
call :Install_label

set NAME=Link Controller Emulation8
call :Install_label

set NAME=WmiSamp9
call :Install_label

set NAME=AMD Crash Defender10
call :Install_label

set NAME=AMD I2C Controller11
call :Install_label

set NAME=AMD Audio Device12
call :Install_label

set NAME=AMD Audio CoProcessor13
call :Install_label

set NAME=AMD Streaming Audio Device14
call :Install_label

set NAME=AMD High Definition Audio Device15
call :Install_label

type "C:\Windows\temp\Driver_install_chipsets.log"
pause
goto :EOF

:Install_label
::echo --Install %NAME%--
cd /d "%BASE_DIR%%NAME%"
call "%INSTALL_FILE%"
::echo --End %NAME%--
goto :EOF

